curl --request GET \
--url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/spending_plan_account \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/spending_plan_account"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/spending_plan_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spending_plan_accounts": [
{
"account_guid": "ACT-97d3948f-ebe7-434a-9bd0-20b29d67c9d4",
"client_guid": "CLT-024284fc-a6a7-42ee-b363-dab9343e3f72",
"created_at": "2023-04-27T23:14:16.000Z",
"guid": "SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a",
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"updated_at": "2023-04-27T23:14:16.000Z",
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
}
]
}List spending plan accounts
spending_plan_accounts associated with the spending_plan according to its MX-defined GUID.Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the spending plan. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for the account associated with the spending_plan_account. Defined by MX.
"ACT-97d3948f-ebe7-434a-9bd0-20b29d67c9d4"
"CLT-024284fc-a6a7-42ee-b363-dab9343e3f72"
The date and time at which the spending_plan_account was created.
"2023-04-27T23:14:16.000Z"
The unique identifier for the spending_plan_account. Defined by MX.
"SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a"
The unique identifier for the spending_plan associated with the spending_plan_account. Defined by MX.
"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"
The date and time at which the spending_plan_account was most recently updated.
"2023-04-27T23:14:16.000Z"
The unique identifier for the user to which the spending_plan_account belongs. Defined by MX.
"USR-72086f59-6684-4adf-8f29-c4d32db43cd7"

